Communauté
Inventor - Français
Bienvenue sur les forums Inventor d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Inventor populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Inventor : Visibilité d'une esquisse depuis un formulaire

2 RÉPONSES 2
RÉSOLU
Répondre
Message 1 sur 3
jgomis.ext
261 Visites, 2 Réponses

Inventor : Visibilité d'une esquisse depuis un formulaire

Bonjour,

J'ai une esquisse "skelette" dans laquelle je fais varier la visibilité d'une esquisse en fonction du resultat d'une fonction.

 

 Dim oSketches As PlanarSketches = ThisApplication.ActiveEditDocument.ComponentDefinition.Sketches
 
 
If PresFlas1 = 1 Then
	oSketches("esquisse flasque 1 type 1").Visible = True
Else
	oSketches("esquisse flasque 1 type 1").Visible = False
End If 

Et dans une pièce d'assemblage j'ai un formulaire, en fonction d'une réponse à mon formulaire j'aimerai pouvoir faire varier la visibilité de mon esquisse donc.

J'ai pour cela créé une nouvelle variable que je viens rattacher à ma variable précédente. J'ai donc le code suivant.

If TypeFlas = "Type 1" Then
	Présence_flasque_type_1 = 1
Else
	Présence_flasque_type_1 = 0
End If

parameter("esqu_tamb.ipt", "PresFlas1") = Présence_flasque_type_1

Or le problème que je rencontre c'est que lorsque je fais varier ma valeur dans mon formulaire j'ai donc le message d'erreur suivant :

 

Erreur de règle: Visibilité esquisse flasque, dans le document esqu_tamb.ipt

Paramètre incorrect. (Exception de HRESULT : 0x80070057 (E_INVALIDARG))

 

Je ne sais pas du tout comment m'en sortir, si quelqu'un a une piste ça serait top 🙂


Le titre du sujet a été modifié par un modérateur pour faciliter la recherche. Titre original:
Visibilité d'une esquisse depuis un formulaire

 

2 RÉPONSES 2
Message 2 sur 3
J-Camper
en réponse à: jgomis.ext

@jgomis.ext,

 

Le problème est que la partie contenant cette règle n'est peut-être pas le "ActiveEditDocument", remplacez la première ligne par ceci :

 

Dim oSketches As PlanarSketches = ThisDoc.Document.ComponentDefinition.Sketches'ThisApplication.ActiveEditDocument.ComponentDefinition.Sketches

 

Je sais si vous rencontrez toujours des problèmes. désolé pour les erreurs de traduction, je compte sur google translate.

Message 3 sur 3
jgomis.ext
en réponse à: jgomis.ext

Thank you so much !

I'm really happy to see that there is some people like you here 🙂

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report